Subject: RE: Does MPLS Require L3 Routing Table ?

From: "Naidu, Venkata" <[email-masked]>
Date: Fri, 13 Apr 2001 16:29:11 -0400

Hi Aris,

> There is nothing in the MPLS architecture that forbids the 
> use of static 
> LSPs.  In fact, most major vendors do support configuration of static 
> LSPs, in addition to hop-by-hop or constraint-routed LSPs.  
> However, they 
> are not addressed in 3031 (or any other draft standards/IDs 
> that I know 
> of) because the stated goal of the MPLS WG is to develop a Layer 2 
> switching technology controlled by a Layer 3 routing protocol.
> 
> This, I believe, is the crux of the argument.  If one chooses not to 

Yes!

> implement the MPLS control plane, then one is reduced to yet 
> another L2 
> switching protocol.  In that case, why not juse use ATM?  Or 
> Frame Relay? 
> If there are benefits to using MPLS as a pure L2 switching mechanism 
> (without any L3 routing integration) I would certainly like to know.

Sorry for my unclear question...
My question is not whether to implement MPLS control plane or not!
But, If I would like to support MPLS, I don't need to have LDP/RSVP.
I just want to make my traditional router (connected to different L2)
MPLS enabled using static label configured MPLS forwarding plane. 
I can make it for dynamic LSPs if I like to. It is always an option
for the network operator. The data after labels is still IP.

Thanks & Regards
Venkata Naidu
--
http://www.geocities.com/kvsnaidu

---

From: "Aris Kyriakopoulos" <[email-masked]>
Date: Fri, 13 Apr 2001 17:41:47 -0400

Hi Venkata,

Your explanation below was excellent, and I thank you for your efforts. 
Again, let me make it clear that I am NOT opposed to an MPLS 
implementation allowing static LSPs; giving the operator a choice is a 
good idea for the reasons you mention.  Let me add another application: 
manually set-up traffic engineered LSPs.

Cheers!
-Aris

-- 
Aris Kyriakopoulos
Interoperability Test Engineering, PSAX CO Products
Lucent Technologies
Landover, MD
mobile: (301) 332-2840
office: (301) 809-4509
mailto:[email-masked]

"Naidu, Venkata" <[email-masked]>
04/13/2001 05:34 PM

        To:     "'Aris Kyriakopoulos'" <[email-masked]>
        cc: 
        Subject:        RE: Does MPLS Require L3 Routing Table ?

Hi Aris

Glad that we are in sync...

> Hi Venkata,
> 
> Thanks for the clarification.  My answer for you is that how 
> well static 
> LSPs will work in an IP world will depend on the 
> implementation.  If you 
> treat your static LSPs as a routing adjacency for OSPF (or 
> whatever your 
> favorite routing protocol is), then they will work just fine. 

Exactly!
 
> However, if you associate static labels with FECs, that's 
> when you lose 
> your ability to really use your L3 routing protocol!  Because 
> what happens 
> if your routing table changes?

But Aris, we can least expect from static LSPs, if the routing table
changes. Consider "static LSPs (for IP switching)" similar to 
"static routing table (for IP routing)" or "static VCs (in ATM 
switching)". 
It is difficult to have static LSPs work along with dynamic routing
changes. To compare well, even traditional dynamic routing protocols
(like OSPF/IS-IS etc) allow room for "static" routing configuration
and expose them as external LSAs. 
Finally we are more intelligent than machines - because we do them.
So do we expect "static" LSP configuration as an option.

> Just as an aside, I have been struggling with the concept of 
> static LSPs 
> myself.  I'm trying very hard to find out what their true 
> utility is, and 
> I have seen very little discussion on the subject, either on 
> the list or 
> in the standards.  I've talked to a couple of people about 
> the subject. 
> Most of the responses, however, have come from the L2 point of view 
> (static LSP = ATM PVC, etc).  For the reasons discussed in my 
> previous 
> e-mail, I'm not comfortable with that analogy.  Your query gave me an 
> opportunity to ask the experts!

Good luck!

Venkata Naidu

---

From: Javier Antich <[email-masked]>
Date: Thu, 19 Apr 2001 10:37:26 +0200

Well, I have been following the thread and I have not seen one basic thing.
Of course you need IP routing table if you run MPLS in and IP network, but,
you do not need to have the full Internet routing table in all the routers.
You can remove BGP from the core so that BGP decisions and Next-hop BGP
resolutions are done at the edge and the appropriate label is selected for
reaching the right exit point from the cloud. Then, you need IP routing
table, but if it is a core router and it is an Internet environment, the
routing table can be much smaller than it would be if you were not running
MPLS.

                                          ^   ^
==============ooo====(.)v(.)====ooo=====
Javier Antich Romaguera
Network Consultant
---------------------------------------------------------------------------
TELINDUS 
Pza. Ciudad de Viena, 6-2º
28040 Madrid 
---------------------------------------------------------------------------
[email-masked]
tel: +34 91 456 00 08
fax: +34 91 536 10 74
---------------------------------------------------------------------------
For more information about our products and services,
please visit our website http://www.telindus.com
---------------------------------------------------------------------------
Full connectivity & mobility
==================ooo0===0ooo========

> 	-----Mensaje original-----
> 	De:	Rajesh P Jain [SMTP:[email-masked]]
> 	Enviado el:	viernes 13 de abril de 2001 10:16
> 	Para:	Bharti Batra; [email-masked]
> 	Asunto:	Re: Does MPLS Require L3 Routing Table ?
> 
> 	"Hello",
> 	                        Thanks for the response.
> 	 
> 	                        Well, if it requires L3 Routing table to
> build up the Label information, then what is the advantage of MPLS???
> Well, Anyhow, it will require the building of L3 Routing Table (May be
> through RIP/OSPF/BGP etc), then Lable info can be formed by using only L3.
> So, Anyhow, MPLS is dependent on L3, please explain me what is the
> advantage of using MPLS (in terms of efficiency and speed switching of the
> packets).
> 	 
> 	With Regards
> 	                    Rajesh P Jain
> 
> 		----- Original Message ----- 
> 		From: Bharti Batra <mailto:[email-masked]> 
> 		To: Rajesh P Jain <mailto:[email-masked]> ; [email-masked]
> <mailto:[email-masked]> 
> 		Sent: Friday, April 13, 2001 1:09 PM
> 		Subject: Re: Does MPLS Require L3 Routing Table ?
> 
> 		Hi !
> 		 
> 		Yes. LDP needs IP routing table to find out the route
> towards the egress router to setup the LSP. LDP sends the LSP setup
> request message along this path.
> 		 
> 		Regds,
> 		Bharti
> 
> 			----- Original Message ----- 
> 			From: Rajesh P Jain <mailto:[email-masked]> 
> 			To: [email-masked] <mailto:[email-masked]> 
> 			Sent: Friday, April 13, 2001 12:52 PM
> 			Subject: Does MPLS Require L3 Routing Table ?
> 
> 			"Hello", List,
> 			                    Well, I am very new to the MPLS
> domain. I just wanted to check out whether MPLS domain neccesarily require
> the L3 Routing Table (Maybe IP Routing Table) to build up it's label
> (using the LDP Protocol). Or the LDP will take care of building the label
> information automatically without the L3 Routing information?
> 			 
> 			TIA
> 			        Rajesh P Jain
>

---

From: Javier Antich <[email-masked]>
Date: Thu, 19 Apr 2001 10:39:53 +0200

> > How would you get the LSPs  to be setup "automatically between
all your edge
	> > routers" without having any L3 routing information in the core?

	>i'm not an ldp expert, but i assume that using the du mode, each
egress
	>router can advertise an lsp to itself to all its neighbors and so
on.
	>thus eventually every router in the system would have a path to
every
	>egress router.  this assumes that each router adds itself to the
	>advertisement in order to cut the loops.

Yes, that is true, but how would the core router choose the right label
towards the right next hop if it receives a label assignment from two or
more neighbours for the same route? That might happen, and the core router
must use its IGP routing table to select the right label and right
nexthop/outgoing interface.

                                          ^   ^

> De:	Juha Heinanen [SMTP:[email-masked]]
> Enviado el:	jueves 19 de abril de 2001 4:31
> Para:	[email-masked]
> CC:	[email-masked]; [email-masked]
>  > How would you get the LSPs  to be setup "automatically between all your
> edge
>  > routers" without having any L3 routing information in the core?
> 
> i'm not an ldp expert, but i assume that using the du mode, each egress
> router can advertise an lsp to itself to all its neighbors and so on.
> thus eventually every router in the system would have a path to every
> egress router.  this assumes that each router adds itself to the
> advertisement in order to cut the loops.
> 
> -- juha